# Generated from speedflow-plugin-jira-0.3.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name speedflow-plugin-jira

Name: rubygem-%{gem_name}
Version: 0.3.6
Release: 1%{?dist}
Summary: A Speedflow plugin for JIRA
License: MIT
URL: https://github.com/speedflow/speedflow-plugin-jira
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3
# BuildRequires: rubygem(rspec) >= 3.4
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(fuubar) >= 2.0
# BuildRequires: rubygem(fuubar) < 3
# BuildRequires: rubygem(guard-rspec) >= 4.7
# BuildRequires: rubygem(guard-rspec) < 5
# BuildRequires: rubygem(guard-rubocop) >= 1.2
# BuildRequires: rubygem(guard-rubocop) < 2
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(codeclimate-test-reporter) >= 0.5.1
# BuildRequires: rubygem(codeclimate-test-reporter) < 0.6
# BuildRequires: rubygem(simplecov) >= 0.11.2
# BuildRequires: rubygem(simplecov) < 0.12
BuildArch: noarch

%description
A Speedflow plugin for JIRA.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/spec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.3.6-1
- Initial package
